Bug 849982 - The default Fedora 18 artwork refers to the previous release in F18 Alpha TC3
The default Fedora 18 artwork refers to the previous release in F18 Alpha TC3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-logos (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 08:11 EDT by Martin Krizek
Modified: 2014-02-05 07:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:05:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Krizek 2012-08-21 08:11:24 EDT
There is still Fedora 17 artwork which violates alpha criterion: "The default Fedora artwork must either refer to the current Fedora release under development (Fedora 18), or reference an interim release milestone (e.g. Alpha or Beta). If a release version number is used, it must match the current Fedora release under development. This includes artwork used in the installer, graphical bootloader menu, firstboot, graphical boot, graphical login and desktop background." and therefore I am proposing this as an Alpha blocker.
Comment 1 Martin Krizek 2012-08-21 08:26:49 EDT
Note: GNOME desktop cannot be installed at this point, but KDE, XFCE and LXDE contain Fedora 17 artwork. Sugar seems to have Fedora 18 wallpaper though.
Comment 2 Jaroslav Reznik 2012-08-21 08:49:15 EDT
(In reply to comment #1)
> Note: GNOME desktop cannot be installed at this point, but KDE, XFCE and
> LXDE contain Fedora 17 artwork. Sugar seems to have Fedora 18 wallpaper
> though.

Martin Briza is working on Spherical Cow KDE theme.
Comment 3 Adam Williamson 2012-08-21 19:03:36 EDT
Xfce and LXDE are not release blocking desktops, so they don't matter. KDE is, though. We need KDE and GNOME art to be F18 or generic, not refer to F17. Martin, it would help to have a more precise list of problematic images you've identified. thanks!
Comment 4 Martin Krizek 2012-08-22 07:57:54 EDT
Regarding KDE, those are KDM theme and wallpaper, which are subject of 849998. For GNOME, we'll have to wait until it's installable.
Comment 5 Martin Krizek 2012-08-22 09:59:25 EDT
GRUB Boot Menu has also what appears to be Fedora 17 theme.
Comment 6 Adam Williamson 2012-08-22 12:50:14 EDT
Discussed at 2012-08-22 blocker review meeting. We agreed this isn't a clear blocker as things stand: there's a separate bug for the KDE artwork, so the only clearly identified 'offender' here is the grub background. It is the one from F17, but it does not identify a specific release at all, it's really just a generic image. The intent of the criterion in question is to avoid the possibility of confusion for users, and it's not clear that this image really has any potential to confuse anyone as to what release they're running.

We agreed to leave the status of this bug open for a week so we can discuss with the artwork/design team whether grub backgrounds should match the release theme, possibly rework the criterion to match its intent better, and check other bits of artwork like the GNOME background.
Comment 7 Adam Williamson 2012-08-27 12:21:56 EDT
Discussed at 2012-08-27 QA meeting, functioning as a blocker review meeting. Needed information has not yet been obtained per comment #6.
Comment 8 Martin Sourada 2012-08-28 17:48:44 EDT
Just FYI, the package that should set the defaut backgrounds (for GNOME, XFCE, LXDE, LXDM, LightDM, etc.; NOT KDE, KDM and boot loaders) is currently pending in bodhi.

https://admin.fedoraproject.org/updates/FEDORA-2012-12268/desktop-backgrounds-18.0.0-1.fc18

Somehow, I hadn't managed to update it before Alpha freeze started...
Comment 9 Adam Williamson 2012-08-29 12:28:05 EDT
Discussed at 2012-08-29 blocker review meeting. I had proposed some revisions to the artwork criteria on test@, in response to the previous discussion of this bug, where we felt the criteria may be incorrect. The revisions look to be generally approved of by the group, so for the purposes of the meeting we took them to be in force: under the revised criteria, this bug does not constitute a blocker, so rejectedblocker.
Comment 10 Fedora End Of Life 2013-12-21 03:41:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 07:05:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.